Bug 115168 - pre/post-install scripts should check /etc/cron.allow, crontab fails
pre/post-install scripts should check /etc/cron.allow, crontab fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-07 11:22 EST by Robert M. Riches Jr.
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 17:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2004-02-07 11:22:55 EST
Description of problem:
Pre/post-install scripts should check cron.allow
before attempting to run crontab.

Version-Release number of selected component (if applicable):
mailman-2.1.1-5

How reproducible:
100% of the one times I tried it.  :-)

Steps to Reproduce:
1. Customize a system by creating /etc/cron.allow.
2. Run up2date and get mailman-2.1.1-5.
3.
  
Actual results:
Four lines of complaints:

You (mailman) are not allowed to use this program (crontab)
See crontab(1) for more information
You (mailman) are not allowed to use this program (crontab)
See crontab(1) for more information

Expected results:
The script should check (and maybe modify) /etc/cron.allow
if it needs to run crontab.  At the very least, it should
check and issue a more informative message.

Additional info:
Comment 1 Nalin Dahyabhai 2004-04-15 01:57:40 EDT
Bug #120912 suggests a fix for a different bug which would also fix
this, I think (not verified).
Comment 2 John Dennis 2004-09-07 17:42:57 EDT
As per bug #120912 mailman no longer uses crontab(1) to install cron
jobs. Now, when the mailman service is started via its init.d script
the crontab file is copied into /etc/cron.d and when the service is
stopped its removed. I believe this addresses the issues in the bug
report and so I'm closing.

Note You need to log in before you can comment on or make changes to this bug.